Set Login PIN
curl --request PUT \
--url https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/users/{userId}/pin \
--header 'Content-Type: application/json' \
--header 'x-client-key: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"pin": "123456"
}
'import requests
url = "https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/users/{userId}/pin"
payload = { "pin": "123456" }
headers = {
"x-client-key": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-client-key': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({pin: '123456'})
};
fetch('https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/users/{userId}/pin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {},
"extra_meta": {
"message": "PIN set successfully"
}
}Users
Set User Login Pin
Sets a secure PIN (4 to 6 digits) for a user in a workspace. Validates uniqueness and sends notifications upon success.
PUT
/
api
/
v1
/
mgt
/
workspaces
/
{workspaceId}
/
users
/
{userId}
/
pin
Set Login PIN
Authorizations
Client API key for authentication
Client secret for authentication
Path Parameters
ID of the workspace
ID of the user
Body
application/json
PIN to assign to the user (must be 4-6 digits)
Pattern:
^[0-9]{4,6}$⌘I